client.h File Reference
Core API » Client

`pipewire/client.h` More...

Go to the source code of this file.

## Data Structures

struct | pw_client_info
| The client information. More...
struct | pw_client_events
| Client events. More...
struct | pw_client_methods
| Client methods. More...

## Macros

#define | PW_TYPE_INTERFACE_Client PW_TYPE_INFO_INTERFACE_BASE "Client"
#define | PW_VERSION_CLIENT 3
#define | PW_ID_CLIENT 1
#define | PW_CLIENT_CHANGE_MASK_PROPS (1 << 0)
#define | PW_CLIENT_CHANGE_MASK_ALL ((1 << 1)-1)
#define | PW_CLIENT_EVENT_INFO 0
#define | PW_CLIENT_EVENT_PERMISSIONS 1
#define | PW_CLIENT_EVENT_NUM 2
#define | PW_VERSION_CLIENT_EVENTS 0
#define | PW_CLIENT_METHOD_ADD_LISTENER 0
#define | PW_CLIENT_METHOD_ERROR 1
#define | PW_CLIENT_METHOD_UPDATE_PROPERTIES 2
#define | PW_CLIENT_METHOD_GET_PERMISSIONS 3
#define | PW_CLIENT_METHOD_UPDATE_PERMISSIONS 4
#define | PW_CLIENT_METHOD_NUM 5
#define | PW_VERSION_CLIENT_METHODS 0
#define | pw_client_method(o, method, version, ...)
#define | pw_client_add_listener(c, ...) pw_client_method(c,add_listener,0,__VA_ARGS__)
#define | pw_client_error(c, ...) pw_client_method(c,error,0,__VA_ARGS__)
| Send an error to a client. More...
#define | pw_client_update_properties(c, ...) pw_client_method(c,update_properties,0,__VA_ARGS__)
| Update client properties. More...
#define | pw_client_get_permissions(c, ...) pw_client_method(c,get_permissions,0,__VA_ARGS__)
| Get client permissions. More...
#define | pw_client_update_permissions(c, ...) pw_client_method(c,update_permissions,0,__VA_ARGS__)
| Manage the permissions of the global objects for this client. More...

## Functions

struct pw_client_info * | pw_client_info_update (struct pw_client_info *info, const struct pw_client_info *update)
| Update an existing pw_client_info with update with reset. More...
struct pw_client_info * | pw_client_info_merge (struct pw_client_info *info, const struct pw_client_info *update, bool reset)
| Merge an existing pw_client_info with update. More...
void | pw_client_info_free (struct pw_client_info *info)
| Free a pw_client_info. More...

## Detailed Description

`pipewire/client.h`